WordPress 2.6.5

A pesar de que todos estamos esperando la versión 2.7 de WordPress, acaba de lanzar WordPress 2.6.5 que incluye una buena cantidad de cambios pero especialmente un ajuste de seguridad. Aquí tienes la lista:

  • Se ha añadido una comprobación para el post_type correcto en blogger.editPost y blogger.deletePost (#8267).
  • Actualizaciones de update_post_meta() y delete_post_meta() para asegurar que funcionan correctamente con las revisiones de posts y no crean el meta en la revisión en vez de en el post (#7925).
  • Protección para un problema XSS muy difícil de hacer exploit (#8291).
  • Solución de un problema XSS con los feeds Atom y RSS en algunas configuraciones de hosting ([9754], [9770]).

La lista completa de los cambios está en log de branches/2.6 log del WordPress bug tracker.

Fíjate que se han saltado la versión 2.6.4 y pasado de la  2.6.3 a la 2.6.5 para evitar confusiones con el falso 2.6.4

Si solo quieres solucionar el problema de seguridad copia wp-includes/feed.php y wp-includes/version.php del paquete de la  2.6.5 y sobrescribe los actuales.

VALORA Y COMPARTE ESTE ARTÍCULO PARA MEJORAR LA CALIDAD DEL BLOG…
(0 votos, promedio: 0)
¿Te gustó este artículo? ¡No sabes lo que te estás perdiendo en YouTube!

AVISO: esta publicación es de hace tres años o más. Si es un código o un plugin podría no funcionar en las últimas versiones de WordPress, y si es una noticia podría estar ya obsoleta. Luego no digas que no te hemos avisado.

Autor: Fernando Tellado

Fernando Tellado, apasionado de WordPress, profesor, consultor y ponente. Maquero cansino, padre de tres hijos y de una perrita Beagle, Bilbaíno de nacimiento, Español de corazón y ciudadano de donde me quieran. Mi último libro es WordPress - La guía completa. Mi blog personal es Navegando con red, donde he crecido como escritor en la red y ofrezco mis visiones acerca de la Web 2.0 y la blogosfera. Sigue a @fernandot en Twitter

Comparte esta entrada en
468 ad
Ir al contenido